Skip to main content

Fetch list and balances of native, ERC20, ERC721 and ERC1155 tokens across multiple EVM chains with a single API call

Sequence Indexer GetTokenBalances Method:
  • Request: POST /rpc/Indexer/GetTokenBalances
  • Content-Type: application/json
  • Body (in JSON):
    • accountAddress (string) — the wallet account address
    • includeMetadata (boolean - optional - default: false) — toggle token metadata to be included in the response
    • metadataOptions (object - optional) — additional options for metadata
      • verifiedOnly (boolean - optional) — return only contracts which are ‘verified’ to help reduce spam
      • includeContracts ([]string - optional) — list of specific contract addresses to always be included, even if verifiedOnly is enabled.
    • includeCollectionTokens (boolean - optional - default: true) — toggle to represent ERC721 / ERC1155 tokens as a single summary item in the response